/*
 * Bouton.cpp
 *
 *  Created on: 26 févr. 2016
 *      Author: ge1
 */

#include "Bouton.h"
#include "Arduino.h"

Bouton::Bouton(char p, char t)
{
	setPos(p,t);
}

void Bouton::setPos(char p, char t)
{
	if (t == pullUp) isPullUp = 1;
	else			 isPullUp = 0;
	pos = p;
	pinMode(pos,INPUT);
	getValeur();
}

char Bouton::getValeur()
{
	etat = digitalRead(pos);
	if ( isPullUp == 1 ) etat = ! etat;
	return etat;
}

void Bouton::printEtat()
{
	Serial.print("Le bouton broche ");
	Serial.print(pos);
	Serial.print(" est ");
	if (etat == 1) 	Serial.println("ferme");
	else			Serial.println("ouvert");
}
